

# CreateNetwork
<a name="API_CreateNetwork"></a>

Creates a new Wickr network with specified access level and configuration. This operation provisions a new communication network for your organization.

## Request Syntax
<a name="API_CreateNetwork_RequestSyntax"></a>

```
POST /networks HTTP/1.1
Content-type: application/json

{
   "accessLevel": "string",
   "enablePremiumFreeTrial": boolean,
   "encryptionKeyArn": "string",
   "networkName": "string"
}
```

## URI Request Parameters
<a name="API_CreateNetwork_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateNetwork_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [accessLevel](#API_CreateNetwork_RequestSyntax) **   <a name="wickr-CreateNetwork-request-accessLevel"></a>
The access level for the network. Valid values are STANDARD or PREMIUM, which determine the features and capabilities available to network members.  
Type: String  
Valid Values: `STANDARD | PREMIUM`   
Required: Yes

 ** [networkName](#API_CreateNetwork_RequestSyntax) **   <a name="wickr-CreateNetwork-request-networkName"></a>
The name for the new network. Must be between 1 and 20 characters.  
Type: String  
Pattern: `[\S\s]*`   
Required: Yes

 ** [enablePremiumFreeTrial](#API_CreateNetwork_RequestSyntax) **   <a name="wickr-CreateNetwork-request-enablePremiumFreeTrial"></a>
Specifies whether to enable a premium free trial for the network. It is optional and has a default value as false. When set to true, the network starts with premium features for a limited trial period.   
Type: Boolean  
Required: No

 ** [encryptionKeyArn](#API_CreateNetwork_RequestSyntax) **   <a name="wickr-CreateNetwork-request-encryptionKeyArn"></a>
The ARN of the AWS KMS customer managed key to use for encrypting sensitive data in the network.  
Type: String  
Pattern: `[\S\s]*`   
Required: No

## Response Syntax
<a name="API_CreateNetwork_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "encryptionKeyArn": "string",
   "networkId": "string",
   "networkName": "string"
}
```

## Response Elements
<a name="API_CreateNetwork_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [encryptionKeyArn](#API_CreateNetwork_ResponseSyntax) **   <a name="wickr-CreateNetwork-response-encryptionKeyArn"></a>
The ARN of the KMS key being used to encrypt sensitive data in the network.  
Type: String  
Pattern: `[\S\s]*` 

 ** [networkId](#API_CreateNetwork_ResponseSyntax) **   <a name="wickr-CreateNetwork-response-networkId"></a>
The unique identifier assigned to the newly created network.  
Type: String  
Length Constraints: Fixed length of 8.  
Pattern: `[0-9]{8}` 

 ** [networkName](#API_CreateNetwork_ResponseSyntax) **   <a name="wickr-CreateNetwork-response-networkName"></a>
The name of the newly created network.  
Type: String  
Pattern: `[\S\s]*` 

## Errors
<a name="API_CreateNetwork_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 [BadRequestError](API_BadRequestError.md)   
The request was invalid or malformed. This error occurs when the request parameters do not meet the API requirements, such as invalid field values, missing required parameters, or improperly formatted data.    
 ** message **   
A detailed message explaining what was wrong with the request and how to correct it.
HTTP Status Code: 400

 [ForbiddenError](API_ForbiddenError.md)   
Access to the requested resource is forbidden. This error occurs when the authenticated user does not have the necessary permissions to perform the requested operation, even though they are authenticated.    
 ** message **   
A message explaining why access was denied and what permissions are required.
HTTP Status Code: 403

 [InternalServerError](API_InternalServerError.md)   
An unexpected error occurred on the server while processing the request. This indicates a problem with the Wickr service itself rather than with the request. If this error persists, contact AWS Support.    
 ** message **   
A message describing the internal server error that occurred.
HTTP Status Code: 500

 [RateLimitError](API_RateLimitError.md)   
The request was throttled because too many requests were sent in a short period of time. Wait a moment and retry the request. Consider implementing exponential backoff in your application.    
 ** message **   
A message indicating that the rate limit was exceeded and suggesting when to retry.
HTTP Status Code: 429

 [ResourceNotFoundError](API_ResourceNotFoundError.md)   
The requested resource could not be found. This error occurs when you try to access or modify a network, user, bot, security group, or other resource that doesn't exist or has been deleted.    
 ** message **   
A message identifying which resource was not found.
HTTP Status Code: 404

 [UnauthorizedError](API_UnauthorizedError.md)   
The request was not authenticated or the authentication credentials were invalid. This error occurs when the request lacks valid authentication credentials or the credentials have expired.    
 ** message **   
A message explaining why the authentication failed.
HTTP Status Code: 401

 [ValidationError](API_ValidationError.md)   
One or more fields in the request failed validation. This error provides detailed information about which fields were invalid and why, allowing you to correct the request and retry.    
 ** message **   
A message describing the validation error error that occurred.  
 ** reasons **   
A list of validation error details, where each item identifies a specific field that failed validation and explains the reason for the failure.
HTTP Status Code: 422

## See Also
<a name="API_CreateNetwork_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/wickr-2024-02-01/CreateNetwork) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/wickr-2024-02-01/CreateNetwork) 